librevenge::DirEntry Class Reference documentation

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
librevenge::DirEntry Class Reference

## Public Types
enum | { End = 0xffffffff }

## Public Member Functions
| DirEntry ()
| constructor More...
bool | is_dir () const
| returns true for a directory More...
std::string | name () const
| returns the simplified file name More...
std::string const & | filename () const
| returns the string which was store inside the file. More...
void | setName (std::string const &nm)
| sets the file name More...
void | load (unsigned char *buffer, unsigned len)
| reads a entry content in buffer More...
void | save (unsigned char *buffer) const
| saves a entry content in buffer *‍/ More...

## Static Public Member Functions
static unsigned | saveSize ()
| returns space required to save a dir entry More...

## Public Attributes
bool | m_valid
bool | m_macRootEntry
| false if invalid (should be skipped) More...
unsigned | m_type
| true if this is a classic mac directory entry More...
unsigned | m_colour
| the type More...
unsigned long | m_size
| the red/black color: 0 means red More...
unsigned long | m_start
| size (not valid if directory) More...
unsigned | m_right
| starting block More...
unsigned | m_left
| previous sibling More...
unsigned | m_child
| next sibling More...
DirInfo | m_info
| first child More...

## Protected Attributes
std::string | m_name
| the file information More...

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
End |

## Constructor & Destructor Documentation

## ◆ DirEntry()

librevenge::DirEntry::DirEntry | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ filename()

std::string const& librevenge::DirEntry::filename | ( |  | ) | const
| inline

returns the string which was store inside the file.

Note
  : either name() or a index (unknown) followed by name()

Referenced by librevenge::DirTree::getSubStreamList().

## ◆ is_dir()

bool librevenge::DirEntry::is_dir | ( |  | ) | const
| inline

returns true for a directory

Referenced by librevenge::IStream::createOleFromDirectory(), librevenge::DirTree::getSubStreamList(), librevenge::IStorage::isSubStream(), and librevenge::IStream::IStream().

## ◆ load()

void librevenge::DirEntry::load | ( | unsigned char * | buffer,
|  | unsigned | len
| ) |  |

reads a entry content in buffer

Referenced by librevenge::DirTree::load().

## ◆ name()

std::string librevenge::DirEntry::name | ( |  | ) | const
| inline

returns the simplified file name

Referenced by librevenge::DirTree::find_child(), and librevenge::DirTree::CompareEntryName::operator()().

## ◆ save()

void librevenge::DirEntry::save | ( | unsigned char * | buffer | ) | const

saves a entry content in buffer *‍/

Referenced by librevenge::DirTree::save().

## ◆ saveSize()

static unsigned librevenge::DirEntry::saveSize | ( |  | ) |
| inlinestatic

returns space required to save a dir entry

Referenced by librevenge::DirTree::save(), and librevenge::DirTree::saveSize().

## ◆ setName()

void librevenge::DirEntry::setName | ( | std::string const & | nm | ) |
| inline

sets the file name

Referenced by librevenge::DirTree::index().

## Member Data Documentation

## ◆ m_child

unsigned librevenge::DirEntry::m_child

next sibling

Referenced by librevenge::IStream::createOleFromDirectory(), librevenge::DirTree::find_child(), librevenge::DirTree::getSubStreamList(), and librevenge::DirTree::setInRedBlackTreeForm().

## ◆ m_colour

unsigned librevenge::DirEntry::m_colour

the type

Referenced by librevenge::DirTree::setInRBTForm(), and librevenge::DirTree::setInRedBlackTreeForm().

## ◆ m_info

DirInfo librevenge::DirEntry::m_info

first child

Referenced by librevenge::IStream::createOleFromDirectory(), and librevenge::OStorage::setInformation().

## ◆ m_left

unsigned librevenge::DirEntry::m_left

previous sibling

Referenced by librevenge::DirTree::get_siblings(), librevenge::DirTree::index(), and librevenge::DirTree::setInRBTForm().

## ◆ m_macRootEntry

bool librevenge::DirEntry::m_macRootEntry

false if invalid (should be skipped)

## ◆ m_name

std::string librevenge::DirEntry::m_name
| protected

the file information

Referenced by filename(), name(), and setName().

## ◆ m_right

unsigned librevenge::DirEntry::m_right

starting block

Referenced by librevenge::DirTree::get_siblings(), and librevenge::DirTree::setInRBTForm().

## ◆ m_size

unsigned long librevenge::DirEntry::m_size

the red/black color: 0 means red

Referenced by librevenge::OStorage::addStream(), librevenge::IStream::createOleFromDirectory(), librevenge::IStream::IStream(), and librevenge::OStorage::updateToSave().

## ◆ m_start

unsigned long librevenge::DirEntry::m_start

size (not valid if directory)

Referenced by librevenge::OStorage::addStream(), librevenge::IStream::IStream(), and librevenge::OStorage::updateToSave().

## ◆ m_type

unsigned librevenge::DirEntry::m_type

true if this is a classic mac directory entry

Referenced by librevenge::OStorage::addDirectory(), librevenge::DirTree::index(), and is_dir().

## ◆ m_valid

bool librevenge::DirEntry::m_valid

Referenced by librevenge::IStream::createOleFromDirectory(), librevenge::DirTree::find_child(), librevenge::DirTree::getSubStreamList(), librevenge::DirTree::index(), and librevenge::DirTree::setInRedBlackTreeForm().

The documentation for this class was generated from the following file:

- RVNGOLEStream.cpp